Nido Apple

Recibe ayuda de expertos

Registrate y pregunta

Es gratis y fácil

Recibe respuestas

Respuestas, votos y comentarios

Vota y selecciona respuestas

Recibe puntos, vota y da la solución

Pregunta

0voto

Ejecutar Archivos .rb Sin Ruby [Solucionado]

Que tal, pues aquí con una molestia, lo que pasa que estoy trabajando en unos proyectos en ruby, y lo que pasa que por varias cuestiones no siempre es posible trabajar siempre en mi mac, por lo que tengo que trabajar en varias máquinas, entre ellas pc's y mac's; por lo que cuenta las pc's no me dan problemas para ejecución de los archivos, pero en las mac no puedo, en terminal no me deja ejecutarlos, lo que deduzco es por no tener instalado ruby, por lo que busco si hay otra manera de ejecutar dichos archivos .rb sin ruby, ya sea con un plug-in o con un programa que los ejecute. Espero haberme dado ha entender. Saludos. 8)

4 Respuestas

0voto

m[a]cman Puntos32830
Podrías ver si Locomotive, se ajusta a lo que requieres ;) Saludos.

0voto

Hartlink_ Puntos18420

macman

Podrías ver si Locomotive, se ajusta a lo que requieres ;) Saludos.

Gracias, lo he usado pero en esta ocasión no me sirve para lo que necesite pero veré si logro de otra manera, pero gracias por la sugerencia. ;)

0voto

eolguillermo Puntos3960
Re: Ejecutar Archivos .rb Sin Ruby creo q lo mas conviente es instalar ruby, mas sin embargo ruby en si viene automaticamente en el sistema de mac, el que viene instalado por default en Tiger es el ruby 1.8.2, ahora bien, quizas la duda, venga en como ejecutar en terminal, cierto?, si es así solo escribe para ejecutar tu script ./comosellame.rb y listo, espero te haya servido, saludos.

0voto

Hartlink_ Puntos18420
Re: Ejecutar Archivos .rb Sin Ruby

eolguillermo

creo q lo mas conviente es instalar ruby, mas sin embargo ruby en si viene automaticamente en el sistema de mac, el que viene instalado por default en Tiger es el ruby 1.8.2, ahora bien, quizas la duda, venga en como ejecutar en terminal, cierto?, si es así solo escribe para ejecutar tu script ./comosellame.rb y listo, espero te haya servido, saludos.

Gracias, después de buscar información, encontre en la página de desarrolladores de Apple, que como tu menciones el ruby viene instalado en Tiger, la versión 1.8.2, es suficiente para lo que necesito y eso me evita muchos problemas. Ah, y si lo que necesitaba ejecutar en terminal, aunque para las aplicaciones web el locomotive es muy buena opción. Gracias por todo. :roll:

Por favor, accede o regístrate para responder a esta pregunta.

Otras Preguntas y Respuestas


...